//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("FormMain.cpp", fm);
USEFORM("DataModuleMain.cpp", dm); /* TDataModule: File Type */
USEFORM("FormSearch.cpp", fmSearch);
//---------------------------------------------------------------------------

#include "FormMain.h"

WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    try
    {
         Application->Initialize();
         Application->CreateForm(__classid(Tfm), &fm);
         Application->CreateForm(__classid(Tdm), &dm);
         Application->CreateForm(__classid(TfmSearch), &fmSearch);

         SendMessage(fm->Handle, CM_INIT_COMPLETE, 0, 0);
         
         Application->Run();
    }
    catch (Exception &exception)
    {
         Application->ShowException(&exception);
    }
    catch (...)
    {
         try
         {
             throw Exception("");
         }
         catch (Exception &exception)
         {
             Application->ShowException(&exception);
         }
    }
    return 0;
}
//---------------------------------------------------------------------------
